> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation

> Get the conversation details based on the conversation ID



## OpenAPI

````yaml /api-reference/conversations/openapi.json get /conversations/{conversationId}
openapi: 3.0.0
info:
  title: Conversations API
  description: Documentation for Conversations API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Conversations
    description: Documentation for Conversations API
  - name: Search
    description: Documentation for Conversations API
  - name: Email
    description: Documentation for Conversations API
  - name: Messages
    description: Documentation for Conversations API
  - name: Providers
    description: Documentation for Conversations API
paths:
  /conversations/{conversationId}:
    get:
      tags:
        - Conversations
      summary: Get Conversation
      description: Get the conversation details based on the conversation ID
      operationId: get-conversation
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: conversationId
          required: true
          in: path
          description: Conversation ID as string
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConversationByIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - conversations.readonly
components:
  schemas:
    GetConversationByIdResponse:
      type: object
      properties:
        contactId:
          type: string
          description: Unique identifier of the contact associated with this conversation
          example: ve9EPM428kjkvShlRW1KT
        locationId:
          type: string
          description: >-
            Unique identifier of the business location where this conversation
            takes place
          example: ve9EPM428kjkvShlRW1KT
        deleted:
          type: boolean
          description: Flag indicating if this conversation has been moved to trash/deleted
          example: false
        inbox:
          type: boolean
          description: >-
            Flag indicating if this conversation is currently in the main inbox
            view
          example: true
        type:
          type: number
          description: >-
            Communication channel type for this conversation: 1 (Phone), 2
            (Email), 3 (Facebook Messenger), 4 (Review), 5 (Group SMS), 6
            (Internal Chat - coming soon)
        unreadCount:
          type: number
          description: >-
            Number of messages in this conversation that have not been read by
            the user
          example: 1
        assignedTo:
          type: string
          description: >-
            Unique identifier of the team member currently responsible for
            handling this conversation
          example: ve9EPM428kjkvShlRW1KT
        id:
          type: string
          description: Unique identifier for this specific conversation thread
          example: ve9EPM428kjkvShlRW1KT
        starred:
          type: boolean
          description: >-
            Flag indicating if this conversation has been marked as
            important/starred by the user
          example: true
      required:
        - contactId
        - locationId
        - deleted
        - inbox
        - type
        - unreadCount
        - id
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````